Package org.gradle.tooling.events.download

# Interface FileDownloadResult

All Superinterfaces:
  `OperationResult`

All Known Subinterfaces:
  `FileDownloadNotFoundResult`

public interface FileDownloadResult extends OperationResult
The result of a file download operation.

Since:
  7.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBytesDownloaded()`
  Returns the total download size.

  ### Methods inherited from interface org.gradle.tooling.events.OperationResult

  `getEndTime, getStartTime`

- ## Method Details

  - ### getBytesDownloaded

    long getBytesDownloaded()
    Returns the total download size. Note that this might not be the same as the file size.